org.springframework.data.auditing

## Class ReactiveIsNewAwareAuditingHandler

- java.lang.Object
- - org.springframework.data.auditing.AuditingHandlerSupport
  - - org.springframework.data.auditing.ReactiveAuditingHandler
    - - org.springframework.data.auditing.ReactiveIsNewAwareAuditingHandler

    public class ReactiveIsNewAwareAuditingHandler
    extends ReactiveAuditingHandler

`AuditingHandler` extension that uses `PersistentEntity.isNew(Object)` to expose a generic `markAudited(Object)` method that will route calls to `ReactiveAuditingHandler.markCreated(Object)` or `ReactiveAuditingHandler.markModified(Object)` based on the `IsNewStrategy` determined from the factory.

Since:
  2.4
Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`ReactiveIsNewAwareAuditingHandler(PersistentEntities entities)` Creates a new `ReactiveIsNewAwareAuditingHandler` for the given `MappingContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`reactor.core.publisher.Mono<Object>` `markAudited(Object object)` Marks the given object created or modified based on `PersistentEntity.isNew(Object)`.

### Methods inherited from class org.springframework.data.auditing.ReactiveAuditingHandler

`markCreated, markModified, setAuditorAware`

### Methods inherited from class org.springframework.data.auditing.AuditingHandlerSupport

`isAuditable, setDateTimeForNow, setDateTimeProvider, setModifyOnCreation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveIsNewAwareAuditingHandler

    public ReactiveIsNewAwareAuditingHandler(PersistentEntities entities)

Creates a new `ReactiveIsNewAwareAuditingHandler` for the given `MappingContext`.

Parameters:
  `entities` - must not be null.

### Method Detail

#### markAudited

    public reactor.core.publisher.Mono<Object> markAudited(Object object)

Marks the given object created or modified based on `PersistentEntity.isNew(Object)`. Will route the calls to `ReactiveAuditingHandler.markCreated(Object)` and `ReactiveAuditingHandler.markModified(Object)` accordingly.

Parameters:
  `object` - must not be null.